/*
*******************************************************************************
**
**  This device driver was created by Applilet for the 78K0S/KB1+, 78K0S/KA1+,
**  78K0S/KY1+ 8-Bit Single-Chip Microcontrollers
**
**  Copyright(C) NEC Electronics Corporation 2002-2004
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation  assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	timer_user.c
**  Abstract :	This file implements device driver for the timer module.
**  APIlib:	NEC78K0SKX1H.lib E1.46a [13 May 2005]
**
**  Device :	uPD78F9222
**
**  Compiler :	NEC/CC78K0
**
*******************************************************************************
*/

#pragma sfr
#pragma interrupt  INTTM000 MD_INTTM000
/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "timer.h"


/*
*******************************************************************************
**  MacroDefine
*******************************************************************************
*/
/*
**-----------------------------------------------------------------------------
**
**  Abstract:
**	This function is TM00 INTTM000 interrupt service routine.
**	
**  Parameters:
**	None
**
**  Returns:
**	None
**
**-----------------------------------------------------------------------------
*/

extern int		start_f;
extern int		time_1min;
extern int		time_10byou;
extern int		time_1byou;
extern int		zero_f;

void time_dec(void)
{
	if (time_1byou!=0){
		time_1byou--;
	}
	else{
		time_1byou=9;
		if (time_10byou!=0){
			time_10byou--;
		}
		else{
			time_10byou=5;
			if (time_1min!=0){
				time_1min--;
			}
			else{
			zero_f=1;
			time_10byou=0;
			time_1byou=0;
			}
		}
	}
}

__interrupt void MD_INTTM000( )
{
	/* TODO */
	if (start_f==1){
		time_dec();
		if (zero_f==1){
			start_f=0;
		}
	}
}
