/*
*******************************************************************************
**
**  This device driver was created by Applilet for the 78K0S/KB1+, 78K0S/KA1+,
**  78K0S/KY1+ 8-Bit Single-Chip Microcontrollers.
**
**  Copyright(C) NEC Electronics Corporation 2002-2004
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	main.c
**  Abstract :	This file implements main function.
**  APIlib :	NEC78K0SKX1H.lib E1.46a [13 May 2005]
**
**  Device :	uPD78F9222
**
**  Compiler :	NEC/CC78K0
**
*******************************************************************************
*/
/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "system.h"
#include "port.h"
#include "timer.h"
#include "watchdogtimer.h"
/*
*******************************************************************************
**  MacroDefine
*******************************************************************************
*/
/*
**---------------------------------------------------------------------------
**
**  Abstract:
**	This function implements main function.
**
**  Parameters:
**	None
**
**  Returns:
**	None
**
**---------------------------------------------------------------------------
*/
int		start_f;
int		time_1min;
int		time_10byou;
int		time_1byou;
int		zero_f;

char	led_data[10]=
			{0x3f,0x06,0x5b,0x4f,0x66,0x6d,0x7d,0x27,0x7f,0x6f};

void	led_port_clear(void)
{
	P4.0=0;
	P4.1=0;
	P4.2=0;
}

void	time_wait(long time)
{
	while(time!=0){
	time--;
	}

}

void	led_7seg_out(int data)
{
	P2=(P2|0x0f)&(led_data[data]&0x0f);
	P12=(P12|0x0e)&((led_data[data]&0x70)>>3);
}

void	led_disp(void)
{
	led_port_clear();
	P4.0=1;
	led_7seg_out(time_1min);
	time_wait(300);
	led_port_clear();
	P4.1=1;
	led_7seg_out(time_10byou);
	time_wait(300);
	led_port_clear();
	P4.2=1;
	led_7seg_out(time_1byou);
	time_wait(300);
	led_port_clear();
}

void	inc_shori(void)
{
		time_10byou=0;
		time_1byou=0;
		zero_f=0;
		if (time_1min<9){
			time_1min++;
		}
		else{
			time_1min=0;
		}
}

void	start_stop(void)
{
		if (start_f==0){
			start_f=1;
			zero_f=0;
		}
		else{
			start_f=0;
		}
}

void	main( void )
{
int		inc_key;
int		inc_rep;
int		start_key;
int		start_rep;

	start_f=0;
	time_1min=0;
	time_10byou=0;
	time_1byou=0;
	zero_f=0;

	inc_key=1;
	start_key=1;
	inc_rep=0;
	start_rep=0;
	
	P13.0=1;

	
	/* TODO. add user code */
	TM00_Start();
	while(1){
		if (P3.1==0){
				inc_key=0;
		}
		else{
			inc_key=1;
			inc_rep=0;
		}
		if (P3.0==0){
				start_key=0;
		}
		else{
			start_key=1;
			start_rep=0;
		}
	
		led_disp();
		if ((P3.1==0)&(inc_key==0)){
			inc_key=0;
		}
		else{
			inc_key=1;
			inc_rep=0;
		}
		if ((P3.0==0)&(start_key==0)){
			start_key=0;
		}
		else{
			start_key=1;
			start_rep=0;
		}
	
		if((inc_key==0)&(inc_rep==0)){
			if(start_f==0){
				inc_shori();
			}
			inc_rep=1;
		}
		if((start_key==0)&(start_rep==0)){
			start_stop();
			start_rep=1;
		}
		if(zero_f==1){
			P13.0=0;
		}
		else{
			P13.0=1;
		}
	}
}

