/*
*******************************************************************************
**
**  This device driver was created by Applilet for the 78K0S/KB1+, 78K0S/KA1+,
**  78K0S/KY1+ 8-Bit Single-Chip Microcontrollers.
**
**  Copyright(C) NEC Electronics Corporation 2002-2004
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	systeminit.c
**  Abstract :	This file implements macro initial function.
**  APIlib :	NEC78K0SKX1H.lib E1.46a [13 May 2005]
**
**  Device :	uPD78F9222
**
**  Compiler :	NEC/CC78K0
**
*******************************************************************************
*/
/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "system.h"
#include "port.h"
#include "timer.h"
#include "watchdogtimer.h"
/*
*******************************************************************************
**  MacroDefine
*******************************************************************************
*/

/*
**-----------------------------------------------------------------------------
**
**  Abstract:
**	This function initializes every Macro.
**
**  Parameters:
**	None
**
**  Returns:
**	None
**
**-----------------------------------------------------------------------------
*/
static int		buzzer;
static int		start_f;
static int		time_1min;
static int		time_10byou;
static int		time_1byou;


void SystemInit( void )
{
	/* Clock generator initiate */
	Clock_Init();
	/* Port initiate */
	PORT_Init();
	/* WDT initiate */
	WDT_Init();
	/* TM00 initiate */
	TM00_Init();
}

/*
**-----------------------------------------------------------------------------
**
**  Abstract:
**	This function initializes hardware settings.
**
**  Parameters:
**	None
**
**  Returns:
**	None
**
**-----------------------------------------------------------------------------
*/
void hdwinit( void )
{
	DI( );
	SystemInit( );
	EI( );
}
